: Class DefaultPreferences

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calypso.util
Class DefaultPreferences

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--calypso.util.DefaultPreferences

public class DefaultPreferences
extends java.util.Properties

See Also:
  Serialized Form

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`DefaultPreferences()`

Method Summary
`void` | `pref(java.lang.String property, boolean value)`
`void` | `pref(java.lang.String property, char value)`
`void` | `pref(java.lang.String property, double value)`
`void` | `pref(java.lang.String property, float value)`
`void` | `pref(java.lang.String property, int value)`
`void` | `pref(java.lang.String property, long value)`
`void` | `pref(java.lang.String property, java.lang.String value)`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, propertyNames, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultPreferences

    public DefaultPreferences()

Method Detail

### pref

    public void pref(java.lang.String property,
                     java.lang.String value)

### pref

    public void pref(java.lang.String property,
                     int value)

### pref

    public void pref(java.lang.String property,
                     boolean value)

### pref

    public void pref(java.lang.String property,
                     char value)

### pref

    public void pref(java.lang.String property,
                     long value)

### pref

    public void pref(java.lang.String property,
                     float value)

### pref

    public void pref(java.lang.String property,
                     double value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD